Download it now!
Bug 84318 - Forgetting indentation, direction and selected font when pasting
Summary: Forgetting indentation, direction and selected font when pasting
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.6.3 release
Hardware: All Linux (All)
: high normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paste Paragraph-Indent
  Show dependency treegraph
 
Reported: 2014-09-25 08:55 UTC by irancplusplus
Modified: 2019-06-18 10:08 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Copy all contents of the document into a new document in Ubuntu to reproduce the problem. (67.37 KB, application/vnd.oasis.opendocument.text)
2014-11-10 09:03 UTC, irancplusplus
Details

Note You need to log in before you can comment on or make changes to this bug.
Description irancplusplus 2014-09-25 08:55:18 UTC
When a text is indented for example 2" and the whole paragraph is copied and pasted the indentation and sometimes the direction is forgotten. This is a big problem if someone wants to copy the contents of a document into another one. Then everything will be a mess.
Also a widget like texmaths works with copy and pasting so if an intended equation is edited it indentation is forgotten after edit.

So the bug is that detailed information about direction and indentation and probably other things are not store in (and/or restored from) the clipboard.
Comment 1 Buovjaga 2014-11-09 19:18:19 UTC
I could not reproduce. Please attach a document, which has the problem.

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: 9229170920ab770624415c4330da57af5b1b5398
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-09_03:16:43
Comment 2 irancplusplus 2014-11-09 20:26:29 UTC
This picture shows a picture shows what happen for libre office writer in Ubuntu:

http://ask.libreoffice.org/upfiles/13944074013065465.png
Comment 3 Buovjaga 2014-11-10 07:25:52 UTC
I tried with RTL + indentation, but could not reproduce. Please attach a document file.
Comment 4 irancplusplus 2014-11-10 09:03:05 UTC
Created attachment 109203 [details]
Copy all contents of the document into a new document in Ubuntu to reproduce the problem.
Comment 5 Buovjaga 2014-11-10 09:16:49 UTC
Reproduced with the file provided -> NEW.

Win 7 64-bit 4.3.3.2
Comment 6 QA Administrators 2016-09-20 09:24:44 UTC Comment hidden (obsolete)
Comment 7 Thomas Lendo 2018-05-18 19:16:09 UTC
Maybe related to bug 40560 or bug 101534.
Comment 8 Thomas Lendo 2018-06-17 20:56:53 UTC
Reproduced with Version: 6.2.0.0.alpha0+
Build ID: bf1f49c837264c8f59197b9487d40e32821526c3
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: group threaded
Comment 9 QA Administrators 2019-06-18 02:48:02 UTC
Dear irancplusplus,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug